## ros-indigo-carl-phidgets 0.0.34

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(carl_phidgets)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS geometry_msgs libphidgets roscpp sensor_msgs std_msgs std_srvs tf)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES phidgets_api
  CATKIN_DEPENDS geometry_msgs libphidgets roscpp sensor_msgs std_msgs std_srvs tf
)

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(include
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp library
add_library(phidgets_imu src/imu_ros_i.cpp)
add_library(phidgets_api src/phidget.cpp src/imu.cpp)

## Declare a cpp executable
add_executable(phidgets_imu_node src/phidgets_imu_node.cpp)
add_executable(orientation_filter src/orientation_filter.cpp)

add_dependencies(phidgets_imu phidgets_api)

## Specify libraries to link a library or executable target against
target_link_libraries(phidgets_imu ${catkin_LIBRARIES} phidgets_api)
target_link_libraries(phidgets_imu_node ${catkin_LIBRARIES} phidgets_imu)
target_link_libraries(phidgets_api ${catkin_LIBRARIES})
target_link_libraries(orientation_filter ${catkin_LIBRARIES})


#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS phidgets_api phidgets_imu phidgets_imu_node orientation_filter
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Copy header files
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.hpp" PATTERN "*.h"
)

## Copy launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-indigo-carl-phidgets (0.0.34-0trusty) trusty; urgency=high

  * Update package.xml
  * Contributors: David Kent

 -- David Kent <dekent@gatech.edu>  Tue, 23 Feb 2016 05:00:00 -0000

ros-indigo-carl-phidgets (0.0.33-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Mon, 10 Aug 2015 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.32-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 08 May 2015 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.31-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Thu, 07 May 2015 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.30-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Mon, 04 May 2015 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.29-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Wed, 29 Apr 2015 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.28-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Mon, 27 Apr 2015 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.27-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Wed, 22 Apr 2015 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.26-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 17 Apr 2015 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.25-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 10 Apr 2015 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.24-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Mon, 06 Apr 2015 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.23-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.22-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.21-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.20-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.19-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.18-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.17-0trusty) trusty; urgency=high

  * limited output on phidgets initialization, added moveit stuff to carl_bringup launch
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Tue, 24 Mar 2015 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.16-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Tue, 17 Feb 2015 05:00:00 -0000

ros-indigo-carl-phidgets (0.0.15-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Tue, 10 Feb 2015 05:00:00 -0000

ros-indigo-carl-phidgets (0.0.14-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 06 Feb 2015 05:00:00 -0000

ros-indigo-carl-phidgets (0.0.13-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Wed, 21 Jan 2015 05:00:00 -0000

ros-indigo-carl-phidgets (0.0.12-0trusty) trusty; urgency=high

  * cleanup of cmake
  * Orientation filter ignores accelerometer measurements when anything more than the gravity vector is detected
  * IMU filter for top sensor strut orientation
  * Filter tuning
  * Filtering for base IMU initial commit
  * sign error
  * Update README.md
  * Fixed sign error
  * sign error
  * swapped pitch/roll
  * Added joints to CARL urdf to allow for orientation adjustments from IMU data, implemented a static orientation correction from accelerometer data
  * Update README.md
  * Updated readme and removed unused nodelet stuff
  * Added launch file to startup both of CARL's IMUs
  * Parameterized device selection for using multiple IMUs
  * fixed install issue
  * carl_phidgets initial commit
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Mon, 19 Jan 2015 05:00:00 -0000

ros-indigo-carl-phidgets (0.0.11-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Thu, 18 Dec 2014 05:00:00 -0000

ros-indigo-carl-phidgets (0.0.10-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Tue, 02 Dec 2014 05:00:00 -0000

ros-indigo-carl-phidgets (0.0.9-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Wed, 22 Oct 2014 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.8-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 03 Oct 2014 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.7-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Mon, 22 Sep 2014 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.6-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 19 Sep 2014 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.5-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Wed, 10 Sep 2014 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.4-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Tue, 02 Sep 2014 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.3-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Mon, 25 Aug 2014 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.2-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Mon, 18 Aug 2014 04:00:00 -0000

ros-indigo-carl-phidgets (0.0.1-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 15 Aug 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-carl-phidgets
Section: misc
Priority: extra
Maintainer: David Kent <dekent@gatech.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-libphidgets, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf
Homepage: http://ros.org/wiki/carl_phidgets
Standards-Version: 3.9.2

Package: ros-indigo-carl-phidgets
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-libphidgets, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf
Description: ROS Support for the Phidgets Spatial 3/3/3 Devices for use with the CARL Robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-carl-phidgets//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
